Installation error on new 16.04 ubuntu

I installed all the dependencies , and tried to do script install on my new 16.04 .

  1. sudo apt-get update
  2. sudo apt-get upgrade
  3. sudo adduser frappe
  4. sudo usermod -aG sudo frappe
  5. sudo nano /etc/resolv.conf
  6. sudo apt-get install python-minimal && python -V # was 2.7.12+
  7. wget https://raw.githubusercontent.com/frappe/bench/master/playbooks/install.py
  8. sudo python install.py --develop

got the following error when tried to do sudo python install.py --develop

reading package lists… Done
W: The repository ‘cdrom://Ubuntu 16.04.3 LTS Xenial Xerus - Release amd64 (20170801) xenial Release’ does not have a Release file.
N: Data from such a repository can’t be authenticated and is therefore potentially dangerous to use.
N: See apt-secure(8) manpage for repository creation and user configuration details.
E: Failed to fetch cdrom://Ubuntu 16.04.3 LTS Xenial Xerus - Release amd64 (20170801)/dists/xenial/main/binary-amd64/Packages Please use apt-cdrom to make this CD-ROM recognized by APT. apt-get update cannot be used to add new CD-ROMs
E: Some index files failed to download. They have been ignored, or old ones used instead.
Traceback (most recent call last):
File “install.py”, line 386, in
install_bench(args)
File “install.py”, line 21, in install_bench
‘sudo yum install -y epel-release redhat-lsb-core git python-setuptools python-devel openssl-devel libffi-devel’
File “install.py”, line 220, in run_os_command
returncode = subprocess.check_call(command, shell=True)
File “/usr/lib/python2.7/subprocess.py”, line 541, in check_call
raise CalledProcessError(retcode, cmd)
subprocess.CalledProcessError: Command ‘sudo apt-get update’ returned non-zero exit status 100

there is no similar error i got in forum,

please help.
Thanks

Edit the sources.list file using this command

sudo nano /etc/apt/sources.list

And and comment or remove lines that include ‘cdrom’. eg:

deb cdrom:[Ubuntu-Server 16.04 LTS _Xenial Xerus_ - Release amd64 (20160420.3)]/ xenial main restricted

Reference: https://askubuntu.com/a/803509/578710 and https://askubuntu.com/questions/125111/failed-to-download-repository-information-due-to-missing-cdrom


On a side note don’t need to create a user, the install script handles it for you. Also you’ll need the build-essential package for executing the install script. Try running these commands, along with the modifications mentioned above on a fresh instance.

Ubuntu 16.04

cd ~
apt-get update
apt-get -y upgrade
apt-get install -y python-minimal build-essential python-setuptools
wget https://raw.githubusercontent.com/frappe/bench/master/playbooks/install.py
sudo python install.py --develop --user frappe --mysql-root-password frappe --admin-password frappe

Worked perfectly.
thanks,

Setup doesn’t get completed now though :sweat_smile:
it shows TypeError: a is undefined in console then error while setup …

8/10 times there is always error while setup :sweat:

On which command does that error pop up??
If that error pops up again, can you please post the entire error log here!

it worked , i tried it a couple of times, by restarting , clearing cache etc, and suddenly the setup was done…

the above error came directly during the loading of the first setup screen .

Thanks